<div>
  <h2 id="page-heading" data-cy="EnderecoHeading">
    <span jhiTranslate="madmApp.endereco.home.title">Enderecos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info mr-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="madmApp.endereco.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-endereco"
        [routerLink]="['/endereco/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="madmApp.endereco.home.createLabel"> Create a new Endereco </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="enderecos?.length === 0">
    <span jhiTranslate="madmApp.endereco.home.notFound">No enderecos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="enderecos && enderecos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span jhiTranslate="global.field.id">ID</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.cep">Cep</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.logradouro">Logradouro</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.complemento">Complemento</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.bairro">Bairro</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.localidade">Localidade</span></th>
          <th scope="col"><span jhiTranslate="madmApp.endereco.uf">Uf</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let endereco of enderecos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/endereco', endereco.id, 'view']">{{ endereco.id }}</a>
          </td>
          <td>{{ endereco.cep }}</td>
          <td>{{ endereco.logradouro }}</td>
          <td>{{ endereco.complemento }}</td>
          <td>{{ endereco.bairro }}</td>
          <td>{{ endereco.localidade }}</td>
          <td>{{ endereco.uf }}</td>
          <td class="text-right">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/endereco', endereco.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/endereco', endereco.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(endereco)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
